#
# spec file for package plasma5-pk-updates
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           plasma5-pk-updates
Version:        0.2
Release:        9.3
Summary:        Plasma Software Manager for KDE
License:        GPL-3.0+
Group:          System/Packages
Url:            http://www.kde.org
Source:         v%{version}.tar.gz
Patch0:         gcc48.diff
Source1:        plasma-pk-updates-lang.tar.xz
# PATCH-FIX-OPENSUSE change-refresh-logic.patch -- Change the logic that the PackageKit daemon is only getting a request according to the set frequency
Patch1:         change-refresh-logic.patch
# PATCH-FIX-UPSTREAM use-native-plasma-components.patch boo#953669, kde#359308 -- fixes problems with dark Plasma themes
Patch2:         use-native-plasma-components.patch
# PATCH-FIX-UPSTREAM use-new-breeze-icons.patch -- use less misleading icons
Patch3:         use-new-breeze-icons.patch
# PATCH-FIX-UPSTREAM fix-typo-in-icon-name.patch -- fix typo in above patch
Patch4:         fix-typo-in-icon-name.patch
# PATCH-FIX-UPSTREAM add-desktopfile-translations.patch -- add translations to the .desktop file
Patch5:         add-desktopfile-translations.patch
BuildRequires:  PackageKit-Qt5-devel
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= 1.3.0
BuildRequires:  kcoreaddons-devel >= 5.25.0
BuildRequires:  kdelibs4support-devel >= 5.25.0
BuildRequires:  ki18n-devel >= 5.25.0
BuildRequires:  kiconthemes-devel >= 5.25.0
BuildRequires:  knotifications-devel >= 5.25.0
BuildRequires:  plasma-framework-devel >= 5.25.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     %{name}-lang = %{version}
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
# Use a fake version number as that the apper version is higher than 0.2 
Provides:       apper = 1.0
Obsoletes:      apper < 1.0
Obsoletes:      apper-lang < 1.0
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plasma applet for software updates using PackageKit.

%lang_package
%prep
%setup -q -n plasma-pk-updates-%{version} -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
echo "ki18n_install(po)" >> CMakeLists.txt

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %find_lang pkupdates plasma-pk-updates.lang
  %find_lang plasma_applet_org.kde.plasma.pkupdates plasma-pk-updates.lang

%files lang -f plasma-pk-updates.lang
%defattr(-,root,root)

%files
%defattr(-,root,root)
%doc LICENSE
%{_kf5_qmldir}/
%{_kf5_plasmadir}/
%{_kf5_servicesdir}/
%{_kf5_appstreamdir}/

%changelog
* Sat Sep 24 2016 wbauer@tmo.at
- Add add-desktopfile-translations.patch to translate the name and
  description of the plasmoid
- Update translations to the latest versions from SVN (boo#990362)
* Mon Aug 15 2016 fabian@ritter-vogt.de
- Add upstream commits fix-typo-in-icon-name.patch and
  use-new-breeze-icons.patch
* Fri Aug 12 2016 hrvoje.senjan@gmail.com
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
* Mon Feb 15 2016 wbauer@tmo.at
- Add use-native-plasma-components.patch: fixes problems with dark
  Plasma themes (boo#953669, kde#359308)
* Fri Feb 12 2016 tittiatcoke@gmail.com
- Add translations  (plasma-pk-updates-lang.tar.xz)
* Thu Feb 11 2016 tittiatcoke@gmail.com
- Add patch change-refresh-logic.patch. This prevents the plasmoid
  from starting the PackageKit Daemon on a hourly basis. This also
  prevents unnecessary notifications.
  (boo#955352)
* Fri Feb  5 2016 tittiatcoke@gmail.com
- Change the obsoletes for apper to a higher version number to
  make sure that it gets removed. Current apper version is 0.9.2 and
  therefore higher than the version of plasma5-pk-updates
* Wed Oct 21 2015 hrvoje.senjan@gmail.com
- Obsolete apper
